# Solution

from byubit import Bit


def draw_side(bit, color):
    bit.move()
    bit.paint(color)
    bit.move()
    bit.paint(color)
    bit.move()
    bit.paint(color)
    bit.left()


def draw_box(bit, color):
    draw_side(bit, color)
    draw_side(bit, color)
    draw_side(bit, color)
    draw_side(bit, color)

    while not bit.is_empty():
        bit.move()


@Bit.worlds('boxes', 'boxes2')
def run(bit):
    while bit.front_clear():
        bit.move()
        if not bit.is_empty():
            color = bit.get_color()
            draw_box(bit, color)


if __name__ == '__main__':
    run(Bit.new_bit)
