# Solution
from byubit import Bit


def go_back(bit):
    bit.right()
    bit.right()
    while bit.front_clear():
        bit.move()
    bit.left()


def make_flower(bit, color):
    bit.left()
    bit.move()
    bit.move()
    bit.paint(color)
    go_back(bit)


def find_and_plant_flower(bit, color):
    bit.erase()
    # get to flower
    while not bit.is_green():
        bit.move()
    # make flower
    make_flower(bit, color)


@Bit.worlds('flowers1', 'flowers2')
def run(bit):
    while bit.front_clear():
        bit.move()
        if not bit.is_empty():
            color = bit.get_color()
            find_and_plant_flower(bit, color)


if __name__ == '__main__':
    run(Bit.new_bit)
